#!/usr/bin/env node

/**
 * @file Run tests.
 */

"use strict";

process.chdir(__dirname + '/..');

var testing = require('apeman-dev-commons-testing'),
    tasking = require('apeman-dev-commons-tasking');

tasking.runTasks('test', [
    function (callback) {
        testing.runNodeunit([
            '*_test.js',
            'test/**/*_test.js'
        ], {
            reporter: 'default'
        }, callback);
    }
], true);