/**
 * Test for update dependencies.
 * Runs with nodeunit.
 */

"use strict";

var updateDependencies = require('../lib/update_dependencies'),
    apeUpdating = require('ape-updating'),
    injectmock = require('injectmock');

exports.tearDown = function (done) {
    injectmock.restoreAll();
    done();
};

exports['Do update.'] = function (test) {
    updateDependencies({
        pkgPath: require.resolve('../docs/mockups/mock-pkg.json')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};
